Module java.desktop
Package javax.swing.plaf.synth

# Class SynthEditorPaneUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.TextUI
javax.swing.plaf.basic.BasicTextUI
javax.swing.plaf.basic.BasicEditorPaneUI
javax.swing.plaf.synth.SynthEditorPaneUI

All Implemented Interfaces:
  `SynthConstants`, `SynthUI`, `ViewFactory`

Direct Known Subclasses:
  `SynthTextPaneUI`

public class SynthEditorPaneUI extends BasicEditorPaneUI implements SynthUI
Provides the Synth L&F UI delegate for `JEditorPane`.

Since:
  1.7

## Nested Class Summary

## Nested classes/interfaces declared in class javax.swing.plaf.basic.BasicTextUI

`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

## Field Summary

### Fields declared in interface javax.swing.plaf.synth.SynthConstants

`DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`

## Constructor Summary

Constructors
Constructor
Description
`SynthEditorPaneUI()`
Constructs a `SynthEditorPaneUI`.

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent c)`
Creates a new UI object for the given component.
`SynthContext`
`getContext(JComponent c)`
Returns the Context for the specified component.
`protected void`
`paint(SynthContext context, Graphics g)`
Paints the specified component.
`void`
`paintBorder(SynthContext context, Graphics g, int x, int y, int w, int h)`
Paints the border.
`protected void`
`propertyChange(PropertyChangeEvent evt)`
This method gets called when a bound property is changed on the associated JTextComponent.
`void`
`update(Graphics g, JComponent c)`
Notifies this UI delegate to repaint the specified component.

### Methods declared in class javax.swing.plaf.basic.BasicEditorPaneUI

`getEditorKit, getPropertyPrefix, installUI, uninstallUI`

### Methods declared in class javax.swing.plaf.basic.BasicTextUI

`create, create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, viewToModel, viewToModel`

### Methods declared in class javax.swing.plaf.TextUI

`getToolTipText2D, modelToView2D, viewToModel2D`

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SynthEditorPaneUI

public SynthEditorPaneUI()
Constructs a `SynthEditorPaneUI`.

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)
Creates a new UI object for the given component.

Parameters:
  `c` - component to create UI object for
Returns:
  the UI object

### propertyChange

protected void propertyChange(PropertyChangeEvent evt)
This method gets called when a bound property is changed on the associated JTextComponent. This is a hook which UI implementations may change to reflect how the UI displays bound properties of JTextComponent subclasses. This is implemented to rebuild the ActionMap based upon an EditorKit change.

Overrides:
  `propertyChange` in class `BasicEditorPaneUI`
Parameters:
  `evt` - the property change event

### getContext

public SynthContext getContext(JComponent c)
Returns the Context for the specified component.

Specified by:
  `getContext` in interface `SynthUI`
Parameters:
  `c` - Component requesting SynthContext.
Returns:
  SynthContext describing component.

### update

public void update(Graphics g, JComponent c)
Notifies this UI delegate to repaint the specified component. This method paints the component background, then calls the `paint(SynthContext,Graphics)` method.

In general, this method does not need to be overridden by subclasses. All Look and Feel rendering code should reside in the `paint` method.

Overrides:
  `update` in class `BasicTextUI`
Parameters:
  `g` - the `Graphics` object used for painting
  `c` - the component being painted
See Also:
  - `paint(SynthContext,Graphics)`

### paint

protected void paint(SynthContext context, Graphics g)
Paints the specified component.

Parameters:
  `context` - context for the component being painted
  `g` - the `Graphics` object used for painting
See Also:
  - `update(Graphics,JComponent)`

### paintBorder

public void paintBorder(SynthContext context, Graphics g, int x, int y, int w, int h)
Paints the border.

Specified by:
  `paintBorder` in interface `SynthUI`
Parameters:
  `context` - a component context
  `g` - `Graphics` to paint on
  `x` - the X coordinate
  `y` - the Y coordinate
  `w` - width of the border
  `h` - height of the border